## visad.data.netcdf.in
Class FlatMerger

    java.lang.Object
      visad.data.netcdf.in.Merger
          visad.data.netcdf.in.FlatMerger

public class FlatMerger
extends Merger

Provides support for merging of virtual data objects. This class maximizes the number of virtual flat-fields by not merging them. Consequently, this class supports a FileFlatField caching strategy.

Constructor Summary
`protected` `FlatMerger()` Constructs from nothing.

Method Summary
`static Merger` `instance()` Returns an instance of this class.
`protected VirtualField` `merge(VirtualFlatField field1, VirtualField field2)` Does not merge a virtual flat-field with a virtual field.
`protected VirtualFlatField` `merge(VirtualFlatField field1, VirtualFlatField field2)` Does not merge a virtual flat-field with another virtual flat-field.

Methods inherited from class visad.data.netcdf.in.Merger
`merge, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatMerger

    protected FlatMerger()

  Constructs from nothing.

Method Detail

### instance

    public static Merger instance()

  Returns an instance of this class.

  Returns:
    An instance of this class.

### merge

    protected VirtualField merge(VirtualFlatField field1,
                                 VirtualField field2)
                          throws VisADException

  Does not merge a virtual flat-field with a virtual field.

  Overrides:
    `merge` in class `Merger`
  Parameters:
    `field1` - The virtual flat-field.
    `field2` - The virtual field.
  Returns:
    A virtual field comprising the merger of the input objects if possible; otherwise `null`. throws VisADException VisAD failure.
  Throws:
    `VisADException`
  See Also:
    `Merger.merge(VirtualField, VirtualField)`

### merge

    protected VirtualFlatField merge(VirtualFlatField field1,
                                     VirtualFlatField field2)
                              throws VisADException

  Does not merge a virtual flat-field with another virtual flat-field.

  Overrides:
    `merge` in class `Merger`
  Parameters:
    `field1` - The virtual flat-field.
    `field2` - The other virtual flat-field.
  Returns:
    A virtual flat-field comprising the merger of the input objects if possible; otherwise `null`. May be `field1`. throws VisADException VisAD failure.
  Throws:
    `VisADException`
  See Also:
    `merge(VirtualFlatField, VirtualFlatField)`